package com.tykj.dev.rfid.entity.vo;

import com.tykj.dev.misc.base.CustomPage;
import org.springframework.beans.BeanUtils;

import java.util.Arrays;

/**
 * @author HuangXiahao
 * @version V1.0
 * @class IndexLogSelectVo
 * @packageName com.tykj.dev.rfid.entity.vo
 **/
public class IndexLogSelectVo extends CustomPage {

    public LibraryWarningLogSelectVo toWarningVo(){
        LibraryWarningLogSelectVo libraryWarningLogSelectVo = new LibraryWarningLogSelectVo();
        BeanUtils.copyProperties(this,libraryWarningLogSelectVo);
        libraryWarningLogSelectVo.setWarningType(Arrays.asList(0,1,2));
        return libraryWarningLogSelectVo;
    }
}
